Printago API
PATCH
/v1/profiles/{id}
Update a profile
Path Parameters
id
required
string
- The profile ID
Request Body
- Profile update data
ProfileUpdateDto
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
dataoptional
Record<string, any>
Construct a type with a set of properties K of type T
inheritsoptional
string
nameoptional
string
Example Request
application/json
{
"name": "string",
"data": {},
"inherits": "string",
"customMetadata": {}
}
Response Schema
Profile
compatibilityListrequired
string
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
datarequired
Record<string, any>
Construct a type with a set of properties K of type T
externalIdrequired
string
idrequired
string
pattern: ^[a-z0-9]{24}$
inheritsrequired
string
integrationIdrequired
string
integrationTyperequired
any
metadatarequired
Record<string, any>
Construct a type with a set of properties K of type T
namerequired
string
sourcerequired
any
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
typerequired
any
updatedAtrequired
string
format: date-time
Example Response
200 OK — application/json
{
"id": "string",
"name": "string",
"inherits": "string",
"compatibilityList": "string",
"data": {},
"metadata": {},
"customMetadata": {},
"storeId": "string",
"updatedAt": "2026-09-09T20:31:47.127Z",
"createdAt": "2026-09-09T20:31:47.127Z"
}